Package org.apache.synapse.commons.logger

# Class CorrelationMDCImmediateLogger

java.lang.Object
org.apache.synapse.commons.logger.CorrelationMDCAwareLogger
org.apache.synapse.commons.logger.CorrelationMDCImmediateLogger

All Implemented Interfaces:
  `org.apache.commons.logging.Log`

public class CorrelationMDCImmediateLogger extends CorrelationMDCAwareLogger
Responsible for providing wrapper implementation for CorrelationMDCAwareLogger. The logging wrapper methods will remove the correlation id from the MDC after logging from CorrelationMDCAwareLogger.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CorrelationMDCImmediateLogger(String correlationId, org.apache.commons.logging.Log log)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `debug(Object o)`
  `void`
  `debug(Object o, Throwable throwable)`
  `void`
  `error(Object o)`
  `void`
  `error(Object o, Throwable throwable)`
  `void`
  `fatal(Object o)`
  `void`
  `fatal(Object o, Throwable throwable)`
  `void`
  `info(Object o)`
  `void`
  `info(Object o, Throwable throwable)`
  `void`
  `trace(Object o)`
  `void`
  `trace(Object o, Throwable throwable)`
  `void`
  `warn(Object o)`
  `void`
  `warn(Object o, Throwable throwable)`

  ### Methods inherited from class org.apache.synapse.commons.logger.CorrelationMDCAwareLogger

  `isDebugEnabled, isErrorEnabled, isFatalEnabled, isInfoEnabled, isTraceEnabled, isWarnEnabled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CorrelationMDCImmediateLogger

    public CorrelationMDCImmediateLogger(String correlationId, org.apache.commons.logging.Log log)

- ## Method Details

  - ### trace

    public void trace(Object o)
    Specified by:
      `trace` in interface `org.apache.commons.logging.Log`
    Overrides:
      `trace` in class `CorrelationMDCAwareLogger`

  - ### trace

    public void trace(Object o, Throwable throwable)
    Specified by:
      `trace` in interface `org.apache.commons.logging.Log`
    Overrides:
      `trace` in class `CorrelationMDCAwareLogger`

  - ### debug

    public void debug(Object o)
    Specified by:
      `debug` in interface `org.apache.commons.logging.Log`
    Overrides:
      `debug` in class `CorrelationMDCAwareLogger`

  - ### debug

    public void debug(Object o, Throwable throwable)
    Specified by:
      `debug` in interface `org.apache.commons.logging.Log`
    Overrides:
      `debug` in class `CorrelationMDCAwareLogger`

  - ### info

    public void info(Object o)
    Specified by:
      `info` in interface `org.apache.commons.logging.Log`
    Overrides:
      `info` in class `CorrelationMDCAwareLogger`

  - ### info

    public void info(Object o, Throwable throwable)
    Specified by:
      `info` in interface `org.apache.commons.logging.Log`
    Overrides:
      `info` in class `CorrelationMDCAwareLogger`

  - ### warn

    public void warn(Object o)
    Specified by:
      `warn` in interface `org.apache.commons.logging.Log`
    Overrides:
      `warn` in class `CorrelationMDCAwareLogger`

  - ### warn

    public void warn(Object o, Throwable throwable)
    Specified by:
      `warn` in interface `org.apache.commons.logging.Log`
    Overrides:
      `warn` in class `CorrelationMDCAwareLogger`

  - ### error

    public void error(Object o)
    Specified by:
      `error` in interface `org.apache.commons.logging.Log`
    Overrides:
      `error` in class `CorrelationMDCAwareLogger`

  - ### error

    public void error(Object o, Throwable throwable)
    Specified by:
      `error` in interface `org.apache.commons.logging.Log`
    Overrides:
      `error` in class `CorrelationMDCAwareLogger`

  - ### fatal

    public void fatal(Object o)
    Specified by:
      `fatal` in interface `org.apache.commons.logging.Log`
    Overrides:
      `fatal` in class `CorrelationMDCAwareLogger`

  - ### fatal

    public void fatal(Object o, Throwable throwable)
    Specified by:
      `fatal` in interface `org.apache.commons.logging.Log`
    Overrides:
      `fatal` in class `CorrelationMDCAwareLogger`